Bug 165553 - Review Request: perl-Sort-Versions
Review Request: perl-Sort-Versions
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
http://search.cpan.org/dist/Sort-Vers...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-10 08:59 EDT by Ralf Corsepius
Modified: 2009-03-15 22:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-18 01:16:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2005-08-10 08:59:47 EDT
Spec Name or Url: ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Sort-Versions.spec
SRPM Name or Url: ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Sort-Versions-1.5-2.src.rpm
Description:
Sort::Versions allows easy sorting of mixed non-numeric and numeric strings,
like the 'version numbers' that many shared library systems and revision
control packages use. This is quite useful if you are trying to deal with
shared libraries. It can also be applied to applications that intersperse
variable-width numeric fields within text. Other applications can
undoubtedly be found.
Comment 1 Oliver Falk 2005-08-10 09:24:45 EDT
Everything seems fine, except the License. Are you sure about 'GPL or Artistic'?
I believe it's only Artistic.
Comment 2 Ralf Corsepius 2005-08-10 09:44:25 EDT
From http://search.cpan.org/~edavis/Sort-Versions-1.5/Versions.pm

[..]
Copyright (c) 1996, Kenneth J. Albanowski. All rights reserved. This program is
free software; you can redistribute it and/or modify it under the same terms as
Perl itself.
[..]

=> Artistic or GPL
Comment 3 Oliver Falk 2005-08-10 10:15:12 EDT
Allright. Makes sense.

Package is OK.
Comment 4 Paul Howarth 2005-08-17 08:52:30 EDT
Review:

- rpmlint clean
- naming of package and spec meets guidelines
- package meets guidelines
- license same as perl
- spec file written in English and is legible
- source matches upstream
- package builds ok in FC4 and in mock for devel (i386)
- no locales, libraries, subpackages, pkgconfigs etc. to worry about
- not relocatable
- no directory ownership issues
- no duplicate files
- permissions are fine
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime

Issues:

- rpmlint not clean:

E: perl-Sort-Versions non-executable-script
/usr/lib/perl5/vendor_perl/5.8.6/Sort/Versions.pm 0644
This script is not executable

I believe this is a spurious error caused by the shebang at the start of the
file, but you could get rid of it anyway by appending to %prep:

%{__perl} -ni -e 'print if (2 .. eof());' Versions.pm

or something equivalent.

- suggest adding README as %doc
- BR: perl redundant
- Finding empty .bs files not needed for noarch package

These can be addressed post-CVS.

I'm happy with this.

Approved.


Comment 5 Paul Howarth 2005-08-17 08:56:26 EDT
(In reply to comment #4)
> Review:
> 
> - rpmlint clean

I did of course mean "rpmlint *not* clean - see below...

Paul.
Comment 6 Paul Howarth 2009-03-13 12:14:35 EDT
Package Change Request
======================
Package Name: perl-Sort-Versions
New Branches: EL-4
Owners: pghmcfc laxathom
InitialCC: perl-sig


Branch approved by corsepiu in private mail, EL-5 branch maintainer added as co-maintainer.
Comment 7 Kevin Fenzi 2009-03-15 22:24:56 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.